aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--main/perl-test-inter/APKBUILD27
1 files changed, 14 insertions, 13 deletions
diff --git a/main/perl-test-inter/APKBUILD b/main/perl-test-inter/APKBUILD
index 571e1ceea9..d71ab9cb20 100644
--- a/main/perl-test-inter/APKBUILD
+++ b/main/perl-test-inter/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=perl-test-inter
_pkgreal=Test-Inter
-pkgver=1.06
+pkgver=1.07
pkgrel=0
pkgdesc="framework for more readable interactive test scripts"
url="http://search.cpan.org/dist/Test-Inter/"
@@ -15,26 +15,27 @@ makedepends="perl-dev $cpanmakedepends perl-module-build"
subpackages="$pkgname-doc"
source="http://search.cpan.org/CPAN/authors/id/S/SB/SBECK/$_pkgreal-$pkgver.tar.gz"
-_builddir="$srcdir/$_pkgreal-$pkgver"
+builddir="$srcdir/$_pkgreal-$pkgver"
prepare() {
- cd "$_builddir"
- export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
- perl Build.PL installdirs=vendor || return 1
+ cd "$builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
}
build() {
- cd "$_builddir"
- export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
- ./Build && ./Build test
+ cd "$builddir"
+ make
+}
+
+check() {
+ cd "$builddir"
+ make test
}
package() {
- cd "$_builddir"
- ./Build install destdir="$pkgdir" || return 1
+ cd "$builddir"
+ make DESTDIR="$pkgdir" pure_install || return 1
find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
}
-md5sums="61da056da6dae8ee256d2ccbd2e24a73 Test-Inter-1.06.tar.gz"
-sha256sums="5c7de54fec00d2e874550ea83da15b817f82724142904d260590fcebfb5b8f84 Test-Inter-1.06.tar.gz"
-sha512sums="2cbfc901bce010560b64ce18e7d6ade935fb822e2142c897f4f993dff224e5171c0a835a87696fc1bbe31403c46b3ef78789f8653495234cd5d3798e6c19486e Test-Inter-1.06.tar.gz"
+sha512sums="8897dd10a625941ac0c6dd6a177642c527d402de3f4446de6cf4bb5115d25191c9725bb6ac3ea4db5bba9ac44c451802dfb23e0bdc4a4e605087a79da66e9aae Test-Inter-1.07.tar.gz"